Index: XAMU.pro.user
===================================================================
--- XAMU.pro.user	(revision 82657bc9c67ea8b9d43b09038a1a01c8a633acfd)
+++ XAMU.pro.user	(revision 2dc173b90670a81336467a33ca79dfd3f7a0ab8d)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE QtCreatorProject>
-<!-- Written by QtCreator 3.2.1, 2016-11-14T16:38:09. -->
+<!-- Written by QtCreator 3.2.1, 2016-12-07T15:20:05. -->
 <qtcreator>
  <data>
@@ -176,9 +176,9 @@
     <value type="int" key="PE.EnvironmentAspect.Base">2</value>
     <valuelist type="QVariantList" key="PE.EnvironmentAspect.Changes"/>
-    <value type="QString" key="ProjectExplorer.ProjectConfiguration.DefaultDisplayName">SMSAM</value>
+    <value type="QString" key="ProjectExplorer.ProjectConfiguration.DefaultDisplayName">XAMU</value>
     <value type="QString" key="ProjectExplorer.ProjectConfiguration.DisplayName"></value>
-    <value type="QString" key="ProjectExplorer.ProjectConfiguration.Id">Qt4ProjectManager.Qt4RunConfiguration:/home/rodrigo/Proyectos/Matrices/mmcs/SMSAM.pro</value>
+    <value type="QString" key="ProjectExplorer.ProjectConfiguration.Id">Qt4ProjectManager.Qt4RunConfiguration:/home/rodrigo/Proyectos/Matrices/mmcs/XAMU.pro</value>
     <value type="QString" key="Qt4ProjectManager.Qt4RunConfiguration.CommandLineArguments"></value>
-    <value type="QString" key="Qt4ProjectManager.Qt4RunConfiguration.ProFile">SMSAM.pro</value>
+    <value type="QString" key="Qt4ProjectManager.Qt4RunConfiguration.ProFile">XAMU.pro</value>
     <value type="bool" key="Qt4ProjectManager.Qt4RunConfiguration.UseDyldImageSuffix">false</value>
     <value type="bool" key="Qt4ProjectManager.Qt4RunConfiguration.UseTerminal">false</value>
Index: formLoadMatrix.ui
===================================================================
--- formLoadMatrix.ui	(revision 82657bc9c67ea8b9d43b09038a1a01c8a633acfd)
+++ formLoadMatrix.ui	(revision 2dc173b90670a81336467a33ca79dfd3f7a0ab8d)
@@ -35,5 +35,5 @@
       <widget class="QRadioButton" name="radioComponent">
        <property name="text">
-        <string>Componentes</string>
+        <string>Sub-Cuentas</string>
        </property>
       </widget>
Index: mainwindow.C
===================================================================
--- mainwindow.C	(revision 82657bc9c67ea8b9d43b09038a1a01c8a633acfd)
+++ mainwindow.C	(revision 2dc173b90670a81336467a33ca79dfd3f7a0ab8d)
@@ -444,5 +444,5 @@
     PHClasicoIncidencia.addAction(&actionPHCIncidenciaCuenta);
 
-    actionPHCIncidenciaComponente.setText("Por co&mponente");
+    actionPHCIncidenciaComponente.setText("Por sub-&cuenta");
     actionPHCIncidenciaComponente.setDisabled(true);
     PHClasicoIncidencia.addAction(&actionPHCIncidenciaComponente);
@@ -466,5 +466,5 @@
     PHNoClasicoIncidencia.addAction(&actionPHNCIncidenciaCuenta);
 
-    actionPHNCIncidenciaComponente.setText("Por co&mponente");
+    actionPHNCIncidenciaComponente.setText("Por sub-&cuenta");
     actionPHNCIncidenciaComponente.setDisabled(true);
     PHNoClasicoIncidencia.addAction(&actionPHNCIncidenciaComponente);
@@ -488,5 +488,5 @@
     PreciosNHIncidencia.addAction(&actionPNHIncidenciaCuenta);
 
-    actionPNHIncidenciaComponente.setText("Por co&mponente");
+    actionPNHIncidenciaComponente.setText("Por sub-&cuenta");
     actionPHNCIncidenciaComponente.setDisabled(true);
     PreciosNHIncidencia.addAction(&actionPNHIncidenciaComponente);
@@ -1969,5 +1969,5 @@
         QLabel *label2 = new QLabel;
         label1->setText("Cuentas");
-        label2->setText("Componentes");
+        label2->setText("Sub-Cuentas");
         labels->addWidget(label1);
         labels->addWidget(label2);
@@ -5938,5 +5938,5 @@
     QLabel *label2 = new QLabel;
     label1->setText("Cuentas");
-    label2->setText("Componentes");
+    label2->setText("Sub-Cuentas");
     labels->addWidget(label1);
     labels->addWidget(label2);
Index: ui_formLoadMatrix.h
===================================================================
--- ui_formLoadMatrix.h	(revision 82657bc9c67ea8b9d43b09038a1a01c8a633acfd)
+++ ui_formLoadMatrix.h	(revision 2dc173b90670a81336467a33ca79dfd3f7a0ab8d)
@@ -191,5 +191,5 @@
     {
         FormLoadMatrix->setWindowTitle(QApplication::translate("FormLoadMatrix", "Cargar Matriz", 0));
-        radioComponent->setText(QApplication::translate("FormLoadMatrix", "Componentes", 0));
+        radioComponent->setText(QApplication::translate("FormLoadMatrix", "Sub-Cuentas", 0));
         radioAccount->setText(QApplication::translate("FormLoadMatrix", "Con Cuentas", 0));
         buttonCancel->setText(QApplication::translate("FormLoadMatrix", "&Cancelar", 0));