Index: Makefile
===================================================================
--- Makefile	(revision 37dd9aacdf152f8c76d2dfa299159c12713b9cd8)
+++ Makefile	(revision 6bdcb0d73c85a314730c273dd7d1b9c91617465b)
@@ -1,5 +1,5 @@
 #############################################################################
 # Makefile for building: SMSAM
-# Generated by qmake (2.01a) (Qt 4.8.2) on: lun sep 28 10:36:38 2015
+# Generated by qmake (2.01a) (Qt 4.8.6) on: Mon Oct 5 11:32:30 2015
 # Project:  SMSAM.pro
 # Template: app
@@ -11,5 +11,5 @@
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O2 -w -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O2 -w -D_REENTRANT $(DEFINES)
@@ -124,5 +124,4 @@
 		/usr/share/qt4/mkspecs/common/g++-unix.conf \
 		/usr/share/qt4/mkspecs/qconfig.pri \
-		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/usr/share/qt4/mkspecs/features/qt_config.prf \
@@ -132,4 +131,5 @@
 		/usr/share/qt4/mkspecs/features/default_post.prf \
 		/usr/share/qt4/mkspecs/features/warn_off.prf \
+		/usr/share/qt4/mkspecs/features/shared.prf \
 		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
 		/usr/share/qt4/mkspecs/features/qt.prf \
@@ -180,5 +180,4 @@
 		/usr/share/qt4/mkspecs/common/g++-unix.conf \
 		/usr/share/qt4/mkspecs/qconfig.pri \
-		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/usr/share/qt4/mkspecs/features/qt_config.prf \
@@ -188,4 +187,5 @@
 		/usr/share/qt4/mkspecs/features/default_post.prf \
 		/usr/share/qt4/mkspecs/features/warn_off.prf \
+		/usr/share/qt4/mkspecs/features/shared.prf \
 		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
 		/usr/share/qt4/mkspecs/features/qt.prf \
@@ -207,5 +207,4 @@
 /usr/share/qt4/mkspecs/common/g++-unix.conf:
 /usr/share/qt4/mkspecs/qconfig.pri:
-/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
 /usr/share/qt4/mkspecs/features/qt_functions.prf:
 /usr/share/qt4/mkspecs/features/qt_config.prf:
@@ -215,4 +214,5 @@
 /usr/share/qt4/mkspecs/features/default_post.prf:
 /usr/share/qt4/mkspecs/features/warn_off.prf:
+/usr/share/qt4/mkspecs/features/shared.prf:
 /usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
 /usr/share/qt4/mkspecs/features/qt.prf:
@@ -278,62 +278,62 @@
 		variablepnh.h \
 		mainwindow.H
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) mainwindow.H -o moc_mainwindow.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) mainwindow.H -o moc_mainwindow.cpp
 
 moc_formloadmatrix.cpp: ui_formLoadMatrix.h \
 		formloadmatrix.H
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) formloadmatrix.H -o moc_formloadmatrix.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) formloadmatrix.H -o moc_formloadmatrix.cpp
 
 moc_formviewmatrix.cpp: ui_formMatrixView.h \
 		formviewmatrix.H
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) formviewmatrix.H -o moc_formviewmatrix.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) formviewmatrix.H -o moc_formviewmatrix.cpp
 
 moc_stackwidget.cpp: accountwidget.H \
 		stackwidget.H
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) stackwidget.H -o moc_stackwidget.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) stackwidget.H -o moc_stackwidget.cpp
 
 moc_accountwidget.cpp: accountwidget.H
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) accountwidget.H -o moc_accountwidget.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) accountwidget.H -o moc_accountwidget.cpp
 
 moc_formvariablesexogenas.cpp: formvariablesexogenas.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) formvariablesexogenas.h -o moc_formvariablesexogenas.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) formvariablesexogenas.h -o moc_formvariablesexogenas.cpp
 
 moc_stackvariablesexogenas.cpp: variableexogenawidget.h \
 		stackvariablesexogenas.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) stackvariablesexogenas.h -o moc_stackvariablesexogenas.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) stackvariablesexogenas.h -o moc_stackvariablesexogenas.cpp
 
 moc_variableexogenawidget.cpp: variableexogenawidget.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) variableexogenawidget.h -o moc_variableexogenawidget.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) variableexogenawidget.h -o moc_variableexogenawidget.cpp
 
 moc_formexportmatrix.cpp: formexportmatrix.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) formexportmatrix.h -o moc_formexportmatrix.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) formexportmatrix.h -o moc_formexportmatrix.cpp
 
 moc_formencadenamientos.cpp: formencadenamientos.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) formencadenamientos.h -o moc_formencadenamientos.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) formencadenamientos.h -o moc_formencadenamientos.cpp
 
 moc_stackencadenamientos.cpp: encadenamientoswidget.h \
 		stackencadenamientos.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) stackencadenamientos.h -o moc_stackencadenamientos.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) stackencadenamientos.h -o moc_stackencadenamientos.cpp
 
 moc_encadenamientoswidget.cpp: encadenamientoswidget.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) encadenamientoswidget.h -o moc_encadenamientoswidget.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) encadenamientoswidget.h -o moc_encadenamientoswidget.cpp
 
 moc_formcompararresultados.cpp: formcompararresultados.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) formcompararresultados.h -o moc_formcompararresultados.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) formcompararresultados.h -o moc_formcompararresultados.cpp
 
 moc_formcompararmnc.cpp: formcompararmnc.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) formcompararmnc.h -o moc_formcompararmnc.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) formcompararmnc.h -o moc_formcompararmnc.cpp
 
 moc_formincidenciai.cpp: formincidenciai.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) formincidenciai.h -o moc_formincidenciai.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) formincidenciai.h -o moc_formincidenciai.cpp
 
 moc_formpreciosnohomogeneos.cpp: formpreciosnohomogeneos.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) formpreciosnohomogeneos.h -o moc_formpreciosnohomogeneos.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) formpreciosnohomogeneos.h -o moc_formpreciosnohomogeneos.cpp
 
 moc_stackpreciosnohomogeneos.cpp: variablepnh.h \
 		stackpreciosnohomogeneos.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) stackpreciosnohomogeneos.h -o moc_stackpreciosnohomogeneos.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) stackpreciosnohomogeneos.h -o moc_stackpreciosnohomogeneos.cpp
 
 moc_variablepnh.cpp: variablepnh.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) variablepnh.h -o moc_variablepnh.cpp
+	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) variablepnh.h -o moc_variablepnh.cpp
 
 compiler_rcc_make_all:
@@ -348,29 +348,29 @@
 	-$(DEL_FILE) ui_formLoadMatrix.h ui_formMatrixView.h ui_formvariablesexogenas.h ui_formexportmatrix.h ui_formencadenamientos.h ui_formcompararresultados.h ui_formcompararmnc.h ui_formincidenciai.h ui_formpreciosnohomogeneos.h
 ui_formLoadMatrix.h: formLoadMatrix.ui
-	/usr/bin/uic-qt4 formLoadMatrix.ui -o ui_formLoadMatrix.h
+	/usr/lib/x86_64-linux-gnu/qt4/bin/uic formLoadMatrix.ui -o ui_formLoadMatrix.h
 
 ui_formMatrixView.h: formMatrixView.ui
-	/usr/bin/uic-qt4 formMatrixView.ui -o ui_formMatrixView.h
+	/usr/lib/x86_64-linux-gnu/qt4/bin/uic formMatrixView.ui -o ui_formMatrixView.h
 
 ui_formvariablesexogenas.h: formvariablesexogenas.ui
-	/usr/bin/uic-qt4 formvariablesexogenas.ui -o ui_formvariablesexogenas.h
+	/usr/lib/x86_64-linux-gnu/qt4/bin/uic formvariablesexogenas.ui -o ui_formvariablesexogenas.h
 
 ui_formexportmatrix.h: formexportmatrix.ui
-	/usr/bin/uic-qt4 formexportmatrix.ui -o ui_formexportmatrix.h
+	/usr/lib/x86_64-linux-gnu/qt4/bin/uic formexportmatrix.ui -o ui_formexportmatrix.h
 
 ui_formencadenamientos.h: formencadenamientos.ui
-	/usr/bin/uic-qt4 formencadenamientos.ui -o ui_formencadenamientos.h
+	/usr/lib/x86_64-linux-gnu/qt4/bin/uic formencadenamientos.ui -o ui_formencadenamientos.h
 
 ui_formcompararresultados.h: formcompararresultados.ui
-	/usr/bin/uic-qt4 formcompararresultados.ui -o ui_formcompararresultados.h
+	/usr/lib/x86_64-linux-gnu/qt4/bin/uic formcompararresultados.ui -o ui_formcompararresultados.h
 
 ui_formcompararmnc.h: formcompararmnc.ui
-	/usr/bin/uic-qt4 formcompararmnc.ui -o ui_formcompararmnc.h
+	/usr/lib/x86_64-linux-gnu/qt4/bin/uic formcompararmnc.ui -o ui_formcompararmnc.h
 
 ui_formincidenciai.h: formincidenciai.ui
-	/usr/bin/uic-qt4 formincidenciai.ui -o ui_formincidenciai.h
+	/usr/lib/x86_64-linux-gnu/qt4/bin/uic formincidenciai.ui -o ui_formincidenciai.h
 
 ui_formpreciosnohomogeneos.h: formpreciosnohomogeneos.ui
-	/usr/bin/uic-qt4 formpreciosnohomogeneos.ui -o ui_formpreciosnohomogeneos.h
+	/usr/lib/x86_64-linux-gnu/qt4/bin/uic formpreciosnohomogeneos.ui -o ui_formpreciosnohomogeneos.h
 
 compiler_yacc_decl_make_all: