Index: moc_mainwindow.cpp
===================================================================
--- moc_mainwindow.cpp	(revision b0c244f1a544b2fbdc738c06eda120ab0050e0a9)
+++ moc_mainwindow.cpp	(revision 8f1b6a6cca5aa4fe4d27521be2c785dea30bb3e3)
@@ -20,6 +20,6 @@
 QT_BEGIN_MOC_NAMESPACE
 struct qt_meta_stringdata_MainWindow_t {
-    QByteArrayData data[67];
-    char stringdata[1401];
+    QByteArrayData data[71];
+    char stringdata[1484];
 };
 #define QT_MOC_LITERAL(idx, ofs, len) \
@@ -71,30 +71,34 @@
 QT_MOC_LITERAL(39, 726, 18),
 QT_MOC_LITERAL(40, 745, 25),
-QT_MOC_LITERAL(41, 771, 25),
-QT_MOC_LITERAL(42, 797, 19),
-QT_MOC_LITERAL(43, 817, 20),
-QT_MOC_LITERAL(44, 838, 24),
-QT_MOC_LITERAL(45, 863, 32),
-QT_MOC_LITERAL(46, 896, 28),
-QT_MOC_LITERAL(47, 925, 36),
-QT_MOC_LITERAL(48, 962, 22),
-QT_MOC_LITERAL(49, 985, 16),
-QT_MOC_LITERAL(50, 1002, 21),
-QT_MOC_LITERAL(51, 1024, 25),
-QT_MOC_LITERAL(52, 1050, 33),
-QT_MOC_LITERAL(53, 1084, 29),
-QT_MOC_LITERAL(54, 1114, 37),
-QT_MOC_LITERAL(55, 1152, 20),
-QT_MOC_LITERAL(56, 1173, 16),
-QT_MOC_LITERAL(57, 1190, 13),
-QT_MOC_LITERAL(58, 1204, 24),
-QT_MOC_LITERAL(59, 1229, 28),
-QT_MOC_LITERAL(60, 1258, 14),
-QT_MOC_LITERAL(61, 1273, 32),
-QT_MOC_LITERAL(62, 1306, 15),
-QT_MOC_LITERAL(63, 1322, 36),
-QT_MOC_LITERAL(64, 1359, 20),
-QT_MOC_LITERAL(65, 1380, 11),
-QT_MOC_LITERAL(66, 1392, 8)
+QT_MOC_LITERAL(41, 771, 18),
+QT_MOC_LITERAL(42, 790, 21),
+QT_MOC_LITERAL(43, 812, 24),
+QT_MOC_LITERAL(44, 837, 16),
+QT_MOC_LITERAL(45, 854, 25),
+QT_MOC_LITERAL(46, 880, 19),
+QT_MOC_LITERAL(47, 900, 20),
+QT_MOC_LITERAL(48, 921, 24),
+QT_MOC_LITERAL(49, 946, 32),
+QT_MOC_LITERAL(50, 979, 28),
+QT_MOC_LITERAL(51, 1008, 36),
+QT_MOC_LITERAL(52, 1045, 22),
+QT_MOC_LITERAL(53, 1068, 16),
+QT_MOC_LITERAL(54, 1085, 21),
+QT_MOC_LITERAL(55, 1107, 25),
+QT_MOC_LITERAL(56, 1133, 33),
+QT_MOC_LITERAL(57, 1167, 29),
+QT_MOC_LITERAL(58, 1197, 37),
+QT_MOC_LITERAL(59, 1235, 20),
+QT_MOC_LITERAL(60, 1256, 16),
+QT_MOC_LITERAL(61, 1273, 13),
+QT_MOC_LITERAL(62, 1287, 24),
+QT_MOC_LITERAL(63, 1312, 28),
+QT_MOC_LITERAL(64, 1341, 14),
+QT_MOC_LITERAL(65, 1356, 32),
+QT_MOC_LITERAL(66, 1389, 15),
+QT_MOC_LITERAL(67, 1405, 36),
+QT_MOC_LITERAL(68, 1442, 20),
+QT_MOC_LITERAL(69, 1463, 11),
+QT_MOC_LITERAL(70, 1475, 8)
     },
     "MainWindow\0slotNuevoProyecto\0\0"
@@ -119,7 +123,9 @@
     "slotModeloNoClasico\0calcularEscenarioNC\0"
     "finalizarEscenarioNC\0slotDescomposicion\0"
-    "slotAgregarDescomposicion\0"
-    "slotCompararResultadosMNC\0slotVerResultadoMNC\0"
-    "slotPHCIncidencia100\0slotPHCIncidenciaiCuenta\0"
+    "slotAgregarDescomposicion\0slotCortoPlazoForm\0"
+    "slotAgregarCortoPlazo\0calcularEscenarioImpacto\0"
+    "finalizarImpacto\0slotCompararResultadosMNC\0"
+    "slotVerResultadoMNC\0slotPHCIncidencia100\0"
+    "slotPHCIncidenciaiCuenta\0"
     "slotCalcularPHCIncidenciaiCuenta\0"
     "slotPHCIncidenciaiComponente\0"
@@ -146,5 +152,5 @@
        0,       // classname
        0,    0, // classinfo
-      65,   14, // methods
+      69,   14, // methods
        0,    0, // properties
        0,    0, // enums/sets
@@ -154,69 +160,73 @@
 
  // slots: name, argc, parameters, tag, flags
-       1,    0,  339,    2, 0x08 /* Private */,
-       3,    0,  340,    2, 0x08 /* Private */,
-       4,    0,  341,    2, 0x08 /* Private */,
-       5,    3,  342,    2, 0x08 /* Private */,
-       6,    0,  349,    2, 0x08 /* Private */,
-       7,    0,  350,    2, 0x08 /* Private */,
-       8,    0,  351,    2, 0x08 /* Private */,
-       9,    0,  352,    2, 0x08 /* Private */,
-      10,    0,  353,    2, 0x08 /* Private */,
-      11,    0,  354,    2, 0x08 /* Private */,
-      12,    0,  355,    2, 0x08 /* Private */,
-      13,    0,  356,    2, 0x08 /* Private */,
-      14,    0,  357,    2, 0x08 /* Private */,
-      15,    0,  358,    2, 0x08 /* Private */,
-      16,    0,  359,    2, 0x08 /* Private */,
-      17,    0,  360,    2, 0x08 /* Private */,
-      18,    0,  361,    2, 0x08 /* Private */,
-      19,    0,  362,    2, 0x08 /* Private */,
-      20,    0,  363,    2, 0x08 /* Private */,
-      21,    0,  364,    2, 0x08 /* Private */,
-      22,    0,  365,    2, 0x08 /* Private */,
-      23,    0,  366,    2, 0x08 /* Private */,
-      24,    0,  367,    2, 0x08 /* Private */,
-      25,    0,  368,    2, 0x08 /* Private */,
-      26,    0,  369,    2, 0x08 /* Private */,
-      27,    2,  370,    2, 0x08 /* Private */,
-      28,    0,  375,    2, 0x08 /* Private */,
-      29,    0,  376,    2, 0x08 /* Private */,
-      30,    0,  377,    2, 0x08 /* Private */,
-      31,    0,  378,    2, 0x08 /* Private */,
-      32,    0,  379,    2, 0x08 /* Private */,
-      33,    1,  380,    2, 0x08 /* Private */,
-      33,    0,  383,    2, 0x28 /* Private | MethodCloned */,
-      35,    0,  384,    2, 0x08 /* Private */,
-      36,    0,  385,    2, 0x08 /* Private */,
-      37,    0,  386,    2, 0x08 /* Private */,
-      38,    0,  387,    2, 0x08 /* Private */,
-      39,    0,  388,    2, 0x08 /* Private */,
-      40,    0,  389,    2, 0x08 /* Private */,
-      41,    0,  390,    2, 0x08 /* Private */,
-      42,    0,  391,    2, 0x08 /* Private */,
-      43,    0,  392,    2, 0x08 /* Private */,
-      44,    0,  393,    2, 0x08 /* Private */,
-      45,    0,  394,    2, 0x08 /* Private */,
-      46,    0,  395,    2, 0x08 /* Private */,
-      47,    0,  396,    2, 0x08 /* Private */,
-      48,    0,  397,    2, 0x08 /* Private */,
-      49,    0,  398,    2, 0x08 /* Private */,
-      50,    0,  399,    2, 0x08 /* Private */,
-      51,    0,  400,    2, 0x08 /* Private */,
-      52,    0,  401,    2, 0x08 /* Private */,
-      53,    0,  402,    2, 0x08 /* Private */,
-      54,    0,  403,    2, 0x08 /* Private */,
-      55,    0,  404,    2, 0x08 /* Private */,
-      56,    0,  405,    2, 0x08 /* Private */,
-      57,    0,  406,    2, 0x08 /* Private */,
-      58,    0,  407,    2, 0x08 /* Private */,
-      59,    0,  408,    2, 0x08 /* Private */,
-      60,    0,  409,    2, 0x08 /* Private */,
-      61,    0,  410,    2, 0x08 /* Private */,
-      62,    0,  411,    2, 0x08 /* Private */,
-      63,    0,  412,    2, 0x08 /* Private */,
-      64,    0,  413,    2, 0x08 /* Private */,
-      65,    0,  414,    2, 0x08 /* Private */,
-      66,    0,  415,    2, 0x08 /* Private */,
+       1,    0,  359,    2, 0x08 /* Private */,
+       3,    0,  360,    2, 0x08 /* Private */,
+       4,    0,  361,    2, 0x08 /* Private */,
+       5,    3,  362,    2, 0x08 /* Private */,
+       6,    0,  369,    2, 0x08 /* Private */,
+       7,    0,  370,    2, 0x08 /* Private */,
+       8,    0,  371,    2, 0x08 /* Private */,
+       9,    0,  372,    2, 0x08 /* Private */,
+      10,    0,  373,    2, 0x08 /* Private */,
+      11,    0,  374,    2, 0x08 /* Private */,
+      12,    0,  375,    2, 0x08 /* Private */,
+      13,    0,  376,    2, 0x08 /* Private */,
+      14,    0,  377,    2, 0x08 /* Private */,
+      15,    0,  378,    2, 0x08 /* Private */,
+      16,    0,  379,    2, 0x08 /* Private */,
+      17,    0,  380,    2, 0x08 /* Private */,
+      18,    0,  381,    2, 0x08 /* Private */,
+      19,    0,  382,    2, 0x08 /* Private */,
+      20,    0,  383,    2, 0x08 /* Private */,
+      21,    0,  384,    2, 0x08 /* Private */,
+      22,    0,  385,    2, 0x08 /* Private */,
+      23,    0,  386,    2, 0x08 /* Private */,
+      24,    0,  387,    2, 0x08 /* Private */,
+      25,    0,  388,    2, 0x08 /* Private */,
+      26,    0,  389,    2, 0x08 /* Private */,
+      27,    2,  390,    2, 0x08 /* Private */,
+      28,    0,  395,    2, 0x08 /* Private */,
+      29,    0,  396,    2, 0x08 /* Private */,
+      30,    0,  397,    2, 0x08 /* Private */,
+      31,    0,  398,    2, 0x08 /* Private */,
+      32,    0,  399,    2, 0x08 /* Private */,
+      33,    1,  400,    2, 0x08 /* Private */,
+      33,    0,  403,    2, 0x28 /* Private | MethodCloned */,
+      35,    0,  404,    2, 0x08 /* Private */,
+      36,    0,  405,    2, 0x08 /* Private */,
+      37,    0,  406,    2, 0x08 /* Private */,
+      38,    0,  407,    2, 0x08 /* Private */,
+      39,    0,  408,    2, 0x08 /* Private */,
+      40,    0,  409,    2, 0x08 /* Private */,
+      41,    0,  410,    2, 0x08 /* Private */,
+      42,    0,  411,    2, 0x08 /* Private */,
+      43,    0,  412,    2, 0x08 /* Private */,
+      44,    0,  413,    2, 0x08 /* Private */,
+      45,    0,  414,    2, 0x08 /* Private */,
+      46,    0,  415,    2, 0x08 /* Private */,
+      47,    0,  416,    2, 0x08 /* Private */,
+      48,    0,  417,    2, 0x08 /* Private */,
+      49,    0,  418,    2, 0x08 /* Private */,
+      50,    0,  419,    2, 0x08 /* Private */,
+      51,    0,  420,    2, 0x08 /* Private */,
+      52,    0,  421,    2, 0x08 /* Private */,
+      53,    0,  422,    2, 0x08 /* Private */,
+      54,    0,  423,    2, 0x08 /* Private */,
+      55,    0,  424,    2, 0x08 /* Private */,
+      56,    0,  425,    2, 0x08 /* Private */,
+      57,    0,  426,    2, 0x08 /* Private */,
+      58,    0,  427,    2, 0x08 /* Private */,
+      59,    0,  428,    2, 0x08 /* Private */,
+      60,    0,  429,    2, 0x08 /* Private */,
+      61,    0,  430,    2, 0x08 /* Private */,
+      62,    0,  431,    2, 0x08 /* Private */,
+      63,    0,  432,    2, 0x08 /* Private */,
+      64,    0,  433,    2, 0x08 /* Private */,
+      65,    0,  434,    2, 0x08 /* Private */,
+      66,    0,  435,    2, 0x08 /* Private */,
+      67,    0,  436,    2, 0x08 /* Private */,
+      68,    0,  437,    2, 0x08 /* Private */,
+      69,    0,  438,    2, 0x08 /* Private */,
+      70,    0,  439,    2, 0x08 /* Private */,
 
  // slots: parameters
@@ -252,5 +262,9 @@
     QMetaType::Void,
     QMetaType::Void,
-    QMetaType::Void, QMetaType::Bool,   34,
+    QMetaType::Void, QMetaType::Int,   34,
+    QMetaType::Void,
+    QMetaType::Void,
+    QMetaType::Void,
+    QMetaType::Void,
     QMetaType::Void,
     QMetaType::Void,
@@ -326,5 +340,5 @@
         case 29: _t->slotSearchExport(); break;
         case 30: _t->slotModeloClasico(); break;
-        case 31: _t->calcularEscenario((*reinterpret_cast< bool(*)>(_a[1]))); break;
+        case 31: _t->calcularEscenario((*reinterpret_cast< int(*)>(_a[1]))); break;
         case 32: _t->calcularEscenario(); break;
         case 33: _t->finalizarEscenario(); break;
@@ -334,30 +348,34 @@
         case 37: _t->slotDescomposicion(); break;
         case 38: _t->slotAgregarDescomposicion(); break;
-        case 39: _t->slotCompararResultadosMNC(); break;
-        case 40: _t->slotVerResultadoMNC(); break;
-        case 41: _t->slotPHCIncidencia100(); break;
-        case 42: _t->slotPHCIncidenciaiCuenta(); break;
-        case 43: _t->slotCalcularPHCIncidenciaiCuenta(); break;
-        case 44: _t->slotPHCIncidenciaiComponente(); break;
-        case 45: _t->slotCalcularPHCIncidenciaiComponente(); break;
-        case 46: _t->slotCompararResultados(); break;
-        case 47: _t->slotVerResultado(); break;
-        case 48: _t->slotPHNCIncidencia100(); break;
-        case 49: _t->slotPHNCIncidenciaiCuenta(); break;
-        case 50: _t->slotCalcularPHNCIncidenciaiCuenta(); break;
-        case 51: _t->slotPHNCIncidenciaiComponente(); break;
-        case 52: _t->slotCalcularPHNCIncidenciaiComponente(); break;
-        case 53: _t->slotPNHIncudencia100(); break;
-        case 54: _t->slotCloseformPNH(); break;
-        case 55: _t->slotSelectPNH(); break;
-        case 56: _t->slotPNHIncidenciaiCuenta(); break;
-        case 57: _t->slotPNHIncidenciaiComponente(); break;
-        case 58: _t->slotSelectPNHi(); break;
-        case 59: _t->slotCalcularPNHIncidenciaiCuenta(); break;
-        case 60: _t->slotSelectPNHic(); break;
-        case 61: _t->slotCalcularPNHIncidenciaiComponente(); break;
-        case 62: _t->slotSeleccionarTabla(); break;
-        case 63: _t->abrirManual(); break;
-        case 64: _t->acercaDe(); break;
+        case 39: _t->slotCortoPlazoForm(); break;
+        case 40: _t->slotAgregarCortoPlazo(); break;
+        case 41: _t->calcularEscenarioImpacto(); break;
+        case 42: _t->finalizarImpacto(); break;
+        case 43: _t->slotCompararResultadosMNC(); break;
+        case 44: _t->slotVerResultadoMNC(); break;
+        case 45: _t->slotPHCIncidencia100(); break;
+        case 46: _t->slotPHCIncidenciaiCuenta(); break;
+        case 47: _t->slotCalcularPHCIncidenciaiCuenta(); break;
+        case 48: _t->slotPHCIncidenciaiComponente(); break;
+        case 49: _t->slotCalcularPHCIncidenciaiComponente(); break;
+        case 50: _t->slotCompararResultados(); break;
+        case 51: _t->slotVerResultado(); break;
+        case 52: _t->slotPHNCIncidencia100(); break;
+        case 53: _t->slotPHNCIncidenciaiCuenta(); break;
+        case 54: _t->slotCalcularPHNCIncidenciaiCuenta(); break;
+        case 55: _t->slotPHNCIncidenciaiComponente(); break;
+        case 56: _t->slotCalcularPHNCIncidenciaiComponente(); break;
+        case 57: _t->slotPNHIncudencia100(); break;
+        case 58: _t->slotCloseformPNH(); break;
+        case 59: _t->slotSelectPNH(); break;
+        case 60: _t->slotPNHIncidenciaiCuenta(); break;
+        case 61: _t->slotPNHIncidenciaiComponente(); break;
+        case 62: _t->slotSelectPNHi(); break;
+        case 63: _t->slotCalcularPNHIncidenciaiCuenta(); break;
+        case 64: _t->slotSelectPNHic(); break;
+        case 65: _t->slotCalcularPNHIncidenciaiComponente(); break;
+        case 66: _t->slotSeleccionarTabla(); break;
+        case 67: _t->abrirManual(); break;
+        case 68: _t->acercaDe(); break;
         default: ;
         }
@@ -390,11 +408,11 @@
         return _id;
     if (_c == QMetaObject::InvokeMetaMethod) {
-        if (_id < 65)
+        if (_id < 69)
             qt_static_metacall(this, _c, _id, _a);
-        _id -= 65;
+        _id -= 69;
     } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
-        if (_id < 65)
+        if (_id < 69)
             *reinterpret_cast<int*>(_a[0]) = -1;
-        _id -= 65;
+        _id -= 69;
     }
     return _id;