Index: Makefile
===================================================================
--- Makefile	(revision bd5e45b67fc4029a93350beea26a68711e5b3f57)
+++ Makefile	(revision aa628c31574ec8a52aac1d7cf2b028571a97ab51)
@@ -1,5 +1,5 @@
 #############################################################################
 # Makefile for building: SMSAM
-# Generated by qmake (2.01a) (Qt 4.8.2) on: Thu Aug 6 15:07:36 2015
+# Generated by qmake (2.01a) (Qt 4.8.2) on: Tue Aug 11 15:29:20 2015
 # Project:  SMSAM.pro
 # Template: app
@@ -12,6 +12,6 @@
 CXX           = g++
 DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+CFLAGS        = -pipe -O2 -w -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -pipe -O2 -w -D_REENTRANT $(DEFINES)
 INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -Iarmadillo_bits -I. -I.
 LINK          = g++
@@ -95,6 +95,6 @@
 		/usr/share/qt4/mkspecs/features/release.prf \
 		/usr/share/qt4/mkspecs/features/default_post.prf \
+		/usr/share/qt4/mkspecs/features/warn_off.prf \
 		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
-		/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/usr/share/qt4/mkspecs/features/qt.prf \
 		/usr/share/qt4/mkspecs/features/unix/thread.prf \
@@ -151,6 +151,6 @@
 		/usr/share/qt4/mkspecs/features/release.prf \
 		/usr/share/qt4/mkspecs/features/default_post.prf \
+		/usr/share/qt4/mkspecs/features/warn_off.prf \
 		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
-		/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/usr/share/qt4/mkspecs/features/qt.prf \
 		/usr/share/qt4/mkspecs/features/unix/thread.prf \
@@ -178,6 +178,6 @@
 /usr/share/qt4/mkspecs/features/release.prf:
 /usr/share/qt4/mkspecs/features/default_post.prf:
+/usr/share/qt4/mkspecs/features/warn_off.prf:
 /usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
-/usr/share/qt4/mkspecs/features/warn_on.prf:
 /usr/share/qt4/mkspecs/features/qt.prf:
 /usr/share/qt4/mkspecs/features/unix/thread.prf:
Index: SMSAM.pro
===================================================================
--- SMSAM.pro	(revision bd5e45b67fc4029a93350beea26a68711e5b3f57)
+++ SMSAM.pro	(revision aa628c31574ec8a52aac1d7cf2b028571a97ab51)
@@ -28,2 +28,4 @@
 LIBS += -L -larmadillo \
         -llapack
+
+CONFIG += warn_off
Index: mainwindow.C
===================================================================
--- mainwindow.C	(revision bd5e45b67fc4029a93350beea26a68711e5b3f57)
+++ mainwindow.C	(revision aa628c31574ec8a52aac1d7cf2b028571a97ab51)
@@ -106,5 +106,5 @@
 {
     QMessageBox msBox(QMessageBox::Question,"Alerta","¿Desea Salir?", QMessageBox::Yes | QMessageBox::No,this);
-    msBox.setButtonText(QMessageBox::Yes,"Si");
+    msBox.setButtonText(QMessageBox::Yes,"&Si");
     if(msBox.exec()==QMessageBox::No)
     {
@@ -196,8 +196,4 @@
     EndoExo.addAction(&actionVariableExogena);
 
-    actionAn.setText("Coeficientes &Horizontales");
-    actionAn.setDisabled(true);
-    EndoExo.addAction(&actionAn);
-
     actionLa.setText("Multiplicadores de &Leontief");
     actionLa.setDisabled(true);
@@ -216,5 +212,5 @@
 MainWindow::MainWindow()
     : actionLoadMatrix(this), actionExportMatrix(this), actionQuit(this),actionCH(this), actionCV(this),
-      actionVariableExogena(this),actionAn(this),actionLa(this),actionEncadenamiento(this), formLoadMatrix(0)
+      actionVariableExogena(this),actionLa(this),actionEncadenamiento(this), formLoadMatrix(0)
 {
     tabWidget = new QTabWidget;
@@ -360,4 +356,36 @@
 
 
+void MainWindow::slotCoeficienteVertical()
+{
+    actionCV.setDisabled(true);
+    tabWidget->addTab(new QWidget,"CT_Vertical");
+    QTableWidget *tw = findChild<QTableWidget *>("TablaPrincipal");
+
+    /*      Se eliminan la fila y columna (0,0) para los calculos*/
+    insertremoveRowCol(tw,0,false);
+
+    QTableWidget *CT_VerticalTW = new QTableWidget;
+    int count=tw->rowCount();
+    CrearTablaVacia(count,CT_VerticalTW);//Se crea una tabla vacia
+    /* ****     Se coloca como no editable la celda(0,0)    ***** */
+    noEditColZero(CT_VerticalTW);
+    /*****      Se llena la tabla vacia con los valores de la tabla principal ****/
+
+    CalcularAn(tw,CT_VerticalTW,new QTableWidget,count,false);//Funcion para calcular el Coeficiente Tecnico Horizontal (An)
+
+    /*      Se agrega la columna y fila (0,0) y se insertan los titulos de las cuentas      */
+    insertremoveRowCol(tw,0,true);
+    insertremoveRowCol(CT_VerticalTW,0,true);
+    setAccountTitle(tw);
+    setAccountTitle(CT_VerticalTW);
+
+    int indice=ObtenerIndice("CT_Vertical");//Se obtiene el indice de la pestaña
+    QHBoxLayout * layoutCentralWidget = new QHBoxLayout;
+    layoutCentralWidget->addWidget(CT_VerticalTW);
+    QWidget *widget = tabWidget->widget(indice);
+    widget->setLayout(layoutCentralWidget);//Se añade el widget y layout a la pestaña creada
+
+}
+
 void MainWindow::slotCoeficienteHorizontal()
 {
@@ -369,41 +397,9 @@
     insertremoveRowCol(tw,0,false);
 
+    int count=tw->rowCount();
     QTableWidget *CT_HorizontalTW = new QTableWidget;
-    int count=tw->rowCount();
-    CrearTablaVacia(count,CT_HorizontalTW);//Se crea una tabla vacia
+    CrearTablaVacia(count,CT_HorizontalTW); //Se Crea la tabla vacia
     /* ****     Se coloca como no editable la celda(0,0)    ***** */
     noEditColZero(CT_HorizontalTW);
-    /*****      Se llena la tabla vacia con los valores de la tabla principal ****/
-
-    CalcularAn(tw,CT_HorizontalTW,new QTableWidget,count,false);//Funcion para calcular el Coeficiente Tecnico Horizontal (An)
-
-    /*      Se agrega la columna y fila (0,0) y se insertan los titulos de las cuentas      */
-    insertremoveRowCol(tw,0,true);
-    insertremoveRowCol(CT_HorizontalTW,0,true);
-    setAccountTitle(tw);
-    setAccountTitle(CT_HorizontalTW);
-
-    int indice=ObtenerIndice("CT_Horizontal");//Se obtiene el indice de la pestaña
-    QHBoxLayout * layoutCentralWidget = new QHBoxLayout;
-    layoutCentralWidget->addWidget(CT_HorizontalTW);
-    QWidget *widget = tabWidget->widget(indice);
-    widget->setLayout(layoutCentralWidget);//Se añade el widget y layout a la pestaña creada
-
-}
-
-void MainWindow::slotCoeficienteVertical()
-{
-    actionCV.setDisabled(true);
-    tabWidget->addTab(new QWidget,"CT_Vertical");
-    QTableWidget *tw = findChild<QTableWidget *>("TablaPrincipal");
-
-    /*      Se eliminan la fila y columna (0,0) para los calculos*/
-    insertremoveRowCol(tw,0,false);
-
-    int count=tw->rowCount();
-    QTableWidget *CT_VerticalTW = new QTableWidget;
-    CrearTablaVacia(count,CT_VerticalTW); //Se Crea la tabla vacia
-    /* ****     Se coloca como no editable la celda(0,0)    ***** */
-    noEditColZero(CT_VerticalTW);
     /*****      Se llena la tabla vacia con los valores de la tabla principal ****/
     for(int i=0;i<count-1;i++)
@@ -429,5 +425,5 @@
                 value = Separador(ValoraInsertar,false);
                 ValoraInsertar->setText(value);
-                CT_VerticalTW->setItem(i,j,ValoraInsertar);
+                CT_HorizontalTW->setItem(i,j,ValoraInsertar);
             }
             /****           En este else se llenan las celdas con fila y columna 0, es decir las que tienen nombre *****/
@@ -437,5 +433,5 @@
                 QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(value);
                 ValoraInsertar->setFlags(ValoraInsertar->flags() ^ Qt::ItemIsEditable);
-                CT_VerticalTW->setItem(j,i,ValoraInsertar);
+                CT_HorizontalTW->setItem(j,i,ValoraInsertar);
             }
 
@@ -444,11 +440,11 @@
     /*      Se agrega la columna y fila (0,0) y se insertan los titulos de las cuentas      */
     insertremoveRowCol(tw,0,true);
-    insertremoveRowCol(CT_VerticalTW,0,true);
+    insertremoveRowCol(CT_HorizontalTW,0,true);
     setAccountTitle(tw);
-    setAccountTitle(CT_VerticalTW);
-
-    int indice=ObtenerIndice("CT_Vertical");//Se obtiene el indice de la pestaña
+    setAccountTitle(CT_HorizontalTW);
+
+    int indice=ObtenerIndice("CT_Horizontal");//Se obtiene el indice de la pestaña
     QHBoxLayout * layoutCentralWidget = new QHBoxLayout;
-    layoutCentralWidget->addWidget(CT_VerticalTW);
+    layoutCentralWidget->addWidget(CT_HorizontalTW);
     QWidget *widget = tabWidget->widget(indice);
     widget->setLayout(layoutCentralWidget);//Se añade el widget y layout a la pestaña creada
@@ -464,5 +460,5 @@
     QMessageBox msBox(QMessageBox::Question,"Deshacer","¿Desea deshacer todos los cambios?",
                       QMessageBox::Yes | QMessageBox::No,this);
-    msBox.setButtonText(QMessageBox::Yes,"Si");
+    msBox.setButtonText(QMessageBox::Yes,"&Si");
     msBox.setDefaultButton(QMessageBox::Yes);
     if(msBox.exec()==QMessageBox::Yes)
@@ -585,10 +581,10 @@
                 for(int i=inicio;i<fin+1;i++)
                 {
-                    QString item=tablaEE->item(0,i)->text();
+                    QString item=tablaEE->item(0,i-2)->text();
                     if(item==key2)
                     {
                         QList<QString> fila;
-                        fila=llenarLista(fila,tablaEE,i,1);
-                        tablaEE->removeRow(i);
+                        fila=llenarLista(fila,tablaEE,i-2,1);
+                        tablaEE->removeRow(i-2);
                         tablaEE->insertRow(tablaEE->rowCount());
                         insertRowExogena(fila,tablaEE,1);
@@ -596,6 +592,6 @@
 
                         QList<QString> columna;
-                        columna=llenarLista(columna,tablaEE,i,0);
-                        tablaEE->removeColumn(i);
+                        columna=llenarLista(columna,tablaEE,i-2,0);
+                        tablaEE->removeColumn(i-2);
                         tablaEE->insertColumn(tablaEE->columnCount());
                         insertRowExogena(columna,tablaEE,0);
@@ -624,6 +620,6 @@
 
         //Se crea la nueva pestaña
-        tabWidget->addTab(new QWidget,"Endogena-Exogena");
-        int indice=ObtenerIndice("Endogena-Exogena");//Se obtiene el indice de la pestaña
+        tabWidget->addTab(new QWidget,"Tipo de Variable");
+        int indice=ObtenerIndice("Tipo de Variable");//Se obtiene el indice de la pestaña
         QHBoxLayout * layoutCentralWidget = new QHBoxLayout;
         layoutCentralWidget->addWidget(tablaEE);
@@ -631,6 +627,7 @@
         widget->setLayout(layoutCentralWidget);//Se añade el widget y layout a la pestaña creada
         formVariablesExogenas->close();
-        connect(&actionAn,SIGNAL(triggered()),this,SLOT(slotAn()));
-        actionAn.setEnabled(true);
+        //Se activa la opcion de los multiplicadores de leontief
+        connect(&actionLa,SIGNAL(triggered()),this,SLOT(slotLa()));
+        actionLa.setEnabled(true);
 
         /*                  Se crea la pestaña endogena-endogena            */
@@ -695,6 +692,4 @@
         widget->setLayout(layoutCentralWidget);//Se añade el widget y layout a la pestaña creada
         formVariablesExogenas->close();
-        connect(&actionAn,SIGNAL(triggered()),this,SLOT(slotAn()));
-        actionAn.setEnabled(true);
 
         /*                  Se crea la pestaña endogena-endogena            */
@@ -716,8 +711,7 @@
 }
 
-/***        Slot para calcular el coeficiente tecnico horizontal de la matriz endogena/exogena      ***/
-void MainWindow::slotAn()
-{
-    actionAn.setDisabled(true);
+/***        Slot para calcular el coeficiente tecnico vertical de la matriz endogena/exogena      ***/
+void MainWindow::EndogenaAn()
+{
     tabWidget->addTab(new QWidget,"An");
     QTableWidget *tw = findChild<QTableWidget *>("MatrizEndogenaEndogena");
@@ -753,10 +747,9 @@
 
     crearMatrizEndogena(tablaAn);
-    connect(&actionLa,SIGNAL(triggered()),this,SLOT(slotLa()));
-    actionLa.setEnabled(true);
 }
 
 void MainWindow::slotLa()
 {
+    EndogenaAn();
     QTableWidget *tw = findChild<QTableWidget *>("MatrizAn");
     double matrizIdentidad[200][200];
@@ -909,5 +902,5 @@
     QMessageBox msBox(QMessageBox::Question,"Agregar cuenta","¿Está seguro que agregar la cuenta?",
                       QMessageBox::Yes | QMessageBox::No,this);
-    msBox.setButtonText(QMessageBox::Yes,"Si");
+    msBox.setButtonText(QMessageBox::Yes,"&Si");
     msBox.setDefaultButton(QMessageBox::Yes);
     if(msBox.exec()==QMessageBox::Yes)
@@ -1001,5 +994,5 @@
     QMessageBox msBox(QMessageBox::Question,"Finalizar Carga","¿Está seguro que desea finalizar?",
                       QMessageBox::Yes | QMessageBox::No,this);
-    msBox.setButtonText(QMessageBox::Yes,"Si");
+    msBox.setButtonText(QMessageBox::Yes,"&Si");
     msBox.setDefaultButton(QMessageBox::Yes);
     if(msBox.exec()==QMessageBox::Yes)
@@ -1061,12 +1054,14 @@
     tableWidget->insertRow(filas);
     tableWidget->insertColumn(columnas);
+    QTableWidgetItem *ColumnaTotal = new QTableWidgetItem;
+    ColumnaTotal->setText("Total en Columna");
+    CellStyle(ColumnaTotal);//Estilo de la Celda
+    ColumnaTotal->setFlags(ColumnaTotal->flags() ^ Qt::ItemIsEditable);
     QTableWidgetItem *FilaTotal = new QTableWidgetItem;
     FilaTotal->setText("Total en Fila");
+    CellStyle(FilaTotal);//Estilo de la Celda
     FilaTotal->setFlags(FilaTotal->flags() ^ Qt::ItemIsEditable);
-    QTableWidgetItem *ColumnaTotal = new QTableWidgetItem;
-    ColumnaTotal->setText("Total en Columna");
-    ColumnaTotal->setFlags(ColumnaTotal->flags() ^ Qt::ItemIsEditable);
-    tableWidget->setItem(columnas,inicio-1,FilaTotal);
-    tableWidget->setItem(inicio-1,filas,ColumnaTotal);
+    tableWidget->setItem(columnas,inicio-1,ColumnaTotal);
+    tableWidget->setItem(inicio-1,filas,FilaTotal);
     for(int i=inicio;i<filas;i++)
     {
@@ -1087,4 +1082,5 @@
         Valor1->setText(value1);
         Valor1->setFlags(Valor1->flags() ^ Qt::ItemIsEditable);
+        CellStyle(Valor1);//Estilo de la Celda
         QTableWidgetItem *Valor2 = new QTableWidgetItem;
         Valor2->setText(QString::number(SumaColumna,'f',2));
@@ -1092,8 +1088,12 @@
         Valor2->setText(value2);
         Valor2->setFlags(Valor2->flags() ^ Qt::ItemIsEditable);
+        CellStyle(Valor2);//Estilo de la Celda
         tableWidget->setItem(filas,i,Valor1);//Inserta en Filas
         tableWidget->setItem(i,filas,Valor2);//Inserta en Columnas
     }
-
+    /*          Se coloca como no editable la última celda      */
+    QTableWidgetItem *Valor = new QTableWidgetItem;
+    Valor->setFlags(Valor->flags() ^ Qt::ItemIsEditable);
+    tableWidget->setItem(filas,columnas,Valor);
 }
 
@@ -1102,5 +1102,5 @@
     QMessageBox msBox(QMessageBox::Question,"Restaurar Celdas","¿Desea Restaurar el titulo de todas las celdas?",
                       QMessageBox::Yes | QMessageBox::No,this);
-    msBox.setButtonText(QMessageBox::Yes,"Si");
+    msBox.setButtonText(QMessageBox::Yes,"&Si");
     msBox.setDefaultButton(QMessageBox::Yes);
     if(msBox.exec()==QMessageBox::Yes)
@@ -1116,5 +1116,5 @@
     QMessageBox msBox(QMessageBox::Question,"Modificar Cuenta","¿Desea Modificar la Cuenta Actual?",
                       QMessageBox::Yes | QMessageBox::No,this);
-    msBox.setButtonText(QMessageBox::Yes,"Si");
+    msBox.setButtonText(QMessageBox::Yes,"&Si");
     msBox.setDefaultButton(QMessageBox::Yes);
     if(msBox.exec()==QMessageBox::Yes)
@@ -1382,5 +1382,6 @@
 QList<QString> MainWindow::llenarLista(QList<QString> lista,QTableWidget *tw,int valor,int opcion)
 {
-    for(int i=0;i<tw->rowCount();i++)
+    int cantidad = tw->rowCount();
+    for(int i=0;i<cantidad;i++)
     {
         if(opcion==1)
@@ -1433,5 +1434,5 @@
     if(elementos<12)
     {
-        CuentaEndogenaColumna->setText("Cuentas \nExogenas");
+        CuentaEndogenaColumna->setText("Cuentas \nEndogenas");
     }
     else
@@ -1605,28 +1606,37 @@
          }
     }
-
-    mat inverse = inv(A);
-
-    QTableWidget *tablaLa = new QTableWidget;
-    tablaLa->setObjectName("MatrizLa");
-    CrearTablaVacia(cantidad,tablaLa);
-    for(int i=0;i<cantidad-1;i++)
-    {
-        for(int j=0;j<cantidad-1;j++)
-        {
-            double value = inverse.at(i,j);
-            qDebug()<<"double "<<value;
-            QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(value,'f',2));
-            ValoraInsertar->setFlags(ValoraInsertar->flags() ^ Qt::ItemIsEditable);
-            tablaLa->setItem(i,j,ValoraInsertar);
-
-         }
-    }
-    tabWidget->addTab(new QWidget,"La");
-    int indice=ObtenerIndice("La");//Se obtiene el indice de la pestaña
-    QHBoxLayout * layoutCentralWidget = new QHBoxLayout;
-    layoutCentralWidget->addWidget(tablaLa);
-    QWidget *widget = tabWidget->widget(indice);
-    widget->setLayout(layoutCentralWidget);//Se añade el widget y layout a la pestaña creada
+    double determinant = det(A);
+    if(determinant==0)
+    {
+        QMessageBox::critical(this,"Alerta","El determinante es Nulo");
+    }
+    else
+    {
+        mat inverse = inv(A);
+        QTableWidget *tablaMa = new QTableWidget;
+        tablaMa->setObjectName("MatrizMa");
+        CrearTablaVacia(cantidad,tablaMa);
+        for(int i=0;i<cantidad-1;i++)
+        {
+            for(int j=0;j<cantidad-1;j++)
+            {
+                double value = inverse.at(i,j);
+                qDebug()<<"double "<<value;
+                QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(value,'f',2));
+                ValoraInsertar->setFlags(ValoraInsertar->flags() ^ Qt::ItemIsEditable);
+                tablaMa->setItem(i,j,ValoraInsertar);
+
+             }
+        }
+        tabWidget->addTab(new QWidget,"Ma");
+        int indice=ObtenerIndice("Ma");//Se obtiene el indice de la pestaña
+        QHBoxLayout * layoutCentralWidget = new QHBoxLayout;
+        layoutCentralWidget->addWidget(tablaMa);
+        QWidget *widget = tabWidget->widget(indice);
+        widget->setLayout(layoutCentralWidget);//Se añade el widget y layout a la pestaña creada
+
+        actionLa.setDisabled(true);
+    }
+
 
 
@@ -1683,4 +1693,5 @@
 void MainWindow::setAccountTitle(QTableWidget *tw)
 {
+    int myinicio=99;
     for(int i=0;i<numAccounts;i++)
     {
@@ -1692,4 +1703,9 @@
         int fin=SBEnd->value();
         QString nombreCuenta=le->text();
+
+        if(myinicio>inicio)
+        {
+            myinicio=inicio;
+        }
 
 
@@ -1706,4 +1722,5 @@
         tw->setSpan(0,inicio-1,1,espacio);
     }
+    ItemsNoEditable(tw,1,myinicio-1);
 }
 
@@ -1715,4 +1732,5 @@
         tw->insertRow(rowcol);
         tw->insertColumn(rowcol);
+        ItemsNoEditable(tw,tw->rowCount()-1,tw->rowCount());
     }
     else//de lo contrario se remueve
@@ -1783,2 +1801,28 @@
 
 }
+
+/* Funcion estandar para hacer algunas celdas no editables debido a que son dificiles de manipular(por motivos de colocado y borrado dinamico)*/
+void MainWindow::ItemsNoEditable(QTableWidget *tw,int inicio,int fin)
+{
+    noEditColZero(tw);
+    for(int i=inicio;i<fin;i++)
+    {
+        QTableWidgetItem *ValoraInsertarFila = new QTableWidgetItem;
+        ValoraInsertarFila->setFlags(ValoraInsertarFila->flags() ^ Qt::ItemIsEditable);
+        tw->setItem(i,0,ValoraInsertarFila);
+        QTableWidgetItem *ValoraInsertarColumna = new QTableWidgetItem;
+        ValoraInsertarColumna->setFlags(ValoraInsertarColumna->flags() ^ Qt::ItemIsEditable);
+        tw->setItem(0,i,ValoraInsertarColumna);
+
+    }
+}
+
+/*          Funcion para agregar el estilo de una celda en negrita con fondo de color azul        */
+void MainWindow::CellStyle(QTableWidgetItem *ti)
+{
+    ti->setBackgroundColor(QColor(53,140,203));
+    ti->setTextColor(Qt::white);
+    QFont font;
+    font.setBold(true);
+    ti->setFont(font);
+}
Index: mainwindow.H
===================================================================
--- mainwindow.H	(revision bd5e45b67fc4029a93350beea26a68711e5b3f57)
+++ mainwindow.H	(revision aa628c31574ec8a52aac1d7cf2b028571a97ab51)
@@ -31,5 +31,4 @@
     QAction actionCV;
     QAction actionVariableExogena;
-    QAction actionAn;
     QAction actionLa;
     QAction actionEncadenamiento;    
@@ -52,4 +51,5 @@
     int opcionVentanaExogena;
     int opcionExportarMatriz;
+    int opcionCTEndogena;
 
     FormLoadMatrix * formLoadMatrix;
@@ -82,4 +82,7 @@
     void CalcularAn(QTableWidget *, QTableWidget *, QTableWidget *, int count, bool endogena);
     QString Separador(QTableWidgetItem *,bool quitar);
+    void ItemsNoEditable(QTableWidget *, int inicio, int fin);
+    void CellStyle(QTableWidgetItem *);
+    void EndogenaAn();
 
     void crearMatrizEndogena(QTableWidget *);
@@ -116,5 +119,4 @@
     void slotFinalizarExogena();
     void slotDeshacerExogena();
-    void slotAn();
     void slotLa();
 
Index: moc_mainwindow.cpp
===================================================================
--- moc_mainwindow.cpp	(revision bd5e45b67fc4029a93350beea26a68711e5b3f57)
+++ moc_mainwindow.cpp	(revision aa628c31574ec8a52aac1d7cf2b028571a97ab51)
@@ -2,5 +2,5 @@
 ** Meta object code from reading C++ file 'mainwindow.H'
 **
-** Created: Mon Aug 10 09:45:23 2015
+** Created: Tue Aug 11 15:26:03 2015
 **      by: The Qt Meta Object Compiler version 63 (Qt 4.8.2)
 **
@@ -24,5 +24,5 @@
        0,       // classname
        0,    0, // classinfo
-      20,   14, // methods
+      19,   14, // methods
        0,    0, // properties
        0,    0, // enums/sets
@@ -49,7 +49,6 @@
      355,   11,   11,   11, 0x08,
      364,   11,   11,   11, 0x08,
-     373,   11,   11,   11, 0x08,
-     391,   11,   11,   11, 0x08,
-     408,   11,   11,   11, 0x08,
+     382,   11,   11,   11, 0x08,
+     399,   11,   11,   11, 0x08,
 
        0        // eod
@@ -66,5 +65,5 @@
     "slotVariableExogena()\0slotCloseExogena()\0"
     "slotAgregarExogena()\0slotFinalizarExogena()\0"
-    "slotDeshacerExogena()\0slotAn()\0slotLa()\0"
+    "slotDeshacerExogena()\0slotLa()\0"
     "slotCloseExport()\0slotSaveExport()\0"
     "slotSearchExport()\0"
@@ -92,9 +91,8 @@
         case 13: _t->slotFinalizarExogena(); break;
         case 14: _t->slotDeshacerExogena(); break;
-        case 15: _t->slotAn(); break;
-        case 16: _t->slotLa(); break;
-        case 17: _t->slotCloseExport(); break;
-        case 18: _t->slotSaveExport(); break;
-        case 19: _t->slotSearchExport(); break;
+        case 15: _t->slotLa(); break;
+        case 16: _t->slotCloseExport(); break;
+        case 17: _t->slotSaveExport(); break;
+        case 18: _t->slotSearchExport(); break;
         default: ;
         }
@@ -134,7 +132,7 @@
         return _id;
     if (_c == QMetaObject::InvokeMetaMethod) {
-        if (_id < 20)
+        if (_id < 19)
             qt_static_metacall(this, _c, _id, _a);
-        _id -= 20;
+        _id -= 19;
     }
     return _id;